# -*- coding: utf-8 -*-

SIZE_PREFIXES = ('', 'k', 'M', 'G', 'T', 'P', 'E', 'Z', 'Y')

def readable_size(bytes):
    i = 0
    while bytes > 1024:
        i += 1
        bytes /= 1024
    return f'{bytes:.2f} {SIZE_PREFIXES[i]}B'
